Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.

Funiki28

Thành viên
  • Số lượng nội dung

    24
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

-2 (hơi kém)

About Funiki28

  • Cấp bậc
    biết vẽ line

Khách truy cập Tiểu sử gần đây

460 chế độ xem tiểu sử}
  1. [Help] Nhờ check code autolisp tạo các đường tròn dạng array

    Không được bạn ạ, khi thay đoạn mã trên vào đánh lệnh . Nhập các giá trị vào bảng rồi enter. Nó báo chọn điểm. Khi pick điểm thì hiện báo "Select point:Unknown command "R". Press F1 for help." Bạn xem lại giúp mình xem
  2. Hi anh em Mình có viết lisp liên kết DCL nhằm tạo các đường tròn theo chuỗi array mà các biến liên kết với số liệu nhập bên edit box. Tuy nhiên lisp bị lỗi luôn báo " Initializing...bad argument type: stringp nil " Vậy nhờ các bạn xem hộ xem lisp mình viết bị lỗi ở đâu với Đây là file Lisp: ************************************************** (defun ranhmo (/) (setq p1 ( atoi (get_tile "dim1"))) (setq p2 ( atoi (get_tile "dim2"))) (setq p3 ( atoi (get_tile "dim3"))) (setq p4 ( atoi (get_tile "dim4"))) (setq p5 ( atoi (get_tile "dim5"))) (setq p6 (getpoint "Select point:")) (command "circle" p6 "d" ( atoi (get_tile "dim1"))) (command ".-array" "l" "" "r" p2 p4 p3 p5) ) (defun c:rdau () (setq dcl_id (load_dialog "Tao ranh dau.dcl")) (if (not (new_dialog "Arrayranhdau" dcl_id) ) (exit) ) (action_tile "accept" "(done_dialog)(setq pt 2)") (action_tile "cancel" "(done_dialog) (exit)") (start_dialog) (unload_dialog dcl_id) (if(= 2 pt)(ranhmo)) (princ) ) ******************************************* Còn đây là file DCL : **************************** Arrayranhdau : dialog { label = "Tao Ranh Dau, Ranh Mo"; : column { : boxed_column { : edit_box { key = "dim1"; label = "Enter Diameter:"; edit_width = 20; value = ""; } : edit_box { key = "dim2"; label = "Number of Rows:"; edit_width = 20; value = ""; } : edit_box { key = "dim3"; label = "Distance Between Rows:"; edit_width = 20; value = ""; } : edit_box { key = "dim4"; label = "Number of Column:"; edit_width = 20; value = ""; } : edit_box { key = "dim5"; label = "Distance Between Column:"; edit_width = 20; value = ""; } } : boxed_row { : button { key = "accept"; label = " Done "; is_default = true; } : button { key = "cancel"; label = " Cancel "; is_default = false; is_cancel = true; } } } } **************************************
  3. [Help] Nhờ Tạo Liên Kết Chèn Block Theo List Box Dcl Update

    Cho mình hỏi nâng cao thêm tý. Mình muốn tạo thêm ở bảng DCL dòng popup list mà danh sách có 2 loại là ( Loai 1 & Loai 2 ). Mặc định chọn là Loai 1 thì vẫn giữ lựa chọn như cũ như hình đầu. Nếu chọn Loai 2 thì bảng sẽ chuyển sang lựa chọn như hình vẽ 2. Mọi yêu cầu như chèn block nhiều lần và lưu lần chọn cuối vẫn giữ nguyên. Nhờ bạn xem giúp.
  4. [Help] Nhờ Tạo Liên Kết Chèn Block Theo List Box Dcl Update

    Căn bản mình cũng chỉ tìm hiểu về lisp chưa sâu, nhiều cái cũng chưa biết. Tuy nhiên mình xin tiếp thu ý kiến, hôm qua đã nghịch sửa lại và làm được rồi. Thanks bạn !
  5. [Help] Nhờ Tạo Liên Kết Chèn Block Theo List Box Dcl Update

    Mình về chạy thử lisp thì phát sinh vấn đề như sau: Gõ lệnh vd2, chọn cp1 thay vì chèn các block ở link tương ứng trong chương trình con mình đã viết phía trên thì nó lại insert ra các text tương ứng như cp1, cp2 .... Nhờ bạn xem lại giúp mình xem có lỗi gì với Thanks!
  6. [Help] Nhờ Tạo Liên Kết Chèn Block Theo List Box Dcl Update

    Cho mình xin file .lsp được không. Đúng ý của mình rồi :)
  7. [Help] Nhờ sửa file lisp insert block

    Hề hề... Đúng bác ketxu nhiệt tình nhất :))
  8. [Help] Nhờ Tạo Liên Kết Chèn Block Theo List Box Dcl Update

    Vấn đề này có vẻ hơi khoai thì phải, chưa thấy bác nào đưa ý kiến gì :p
  9. [Help] Nhờ sửa file lisp insert block

    Có bác nào vào xem cho em cái :s
  10. [Help] Nhờ sửa file lisp insert block

    Hi anh em Mình viết đoạn lisp sau để chèn block : (defun c:isb (/) (setq p1 (getpoint "center point:")) (setq p2 (getpoint "direction:")) (command "insert" "E:/AutoLisp/VD1.dwg" p1 "" "" p2) (command "rotate" "l" "" p1 "90") ) Lisp hoạt động nhưng phải chọn cả hai điểm p1, p2 thì block mới hiện ra . Nếu mình muốn block sẽ hiện ra kể cả khi mình chưa chọn bất kì điểm nào. Sau khi chọn điểm p1, block sẽ cố định điểm p1 và xoay xung quanh đến khi chọn p2 thì kết thúc lệnh thì phải làm sao. Mong anh em giúp đỡ.
  11. [Help] Nhờ Tạo Liên Kết Chèn Block Theo List Box Dcl Update

    Có một vấn đề nữa như sau: Giả sử mình gọi lệnh , sau đó chọn "Cooling Plugs 2" rồi chọn "cp6" chả hạn. Sau khi mình thực hiện xong mà muốn chèn tiếp cái "cp6" này thì lúc gọi lệnh nó luôn mặc đinh tại vị trí "Cooling Plugs 1" và "cp1". Mình muốn lưu lại vị trí chọn cuối cùng của lệnh để lần sau gọi nó hiện lên đúng vị trí lần trước có được ko
  12. [Help] Nhờ Tạo Liên Kết Chèn Block Theo List Box Dcl Update

    Mình sửa như này thì ok luôn :)) (defun CP1 (/) (while (setq pt (getpoint"\nSpecify insertion point:")) (command "_.-insert" "E:/Nghia_AutoLisp 2012/DCL/Cooling Joint Plugs/CJP1.dwg" pt "" "" "")) )
  13. [Help] Nhờ Tạo Liên Kết Chèn Block Theo List Box Dcl Update

    Theo mình hiểu thì mình sửa lại như sau (defun CP1 (/ p1) (while (setq p1 (getpoint "Press center point:")) (command ".insert" "E:/Nghia_AutoLisp 2012/DCL/Cooling Joint Plugs/CJP1.dwg" "_non" p1 "" "" "") ) Mình sửa như này vào các chương trình con nhưng báo lỗi "Initializing...malformed list on input" Nếu mình thêm dấu ngoặc đơn nữa thì gọi lênh ok, tuy nhiên khi chèn block thì ko chèn được mà chỉ dừng lại ở đoạn "Press center point" mà ko chèn block đc. (defun CP1 (/ p1) (while (setq p1 (getpoint "Press center point:")) ) (command ".insert" "E:/Nghia_AutoLisp 2012/DCL/Cooling Joint Plugs/CJP1.dwg" "_non" p1 "" "" "") )
  14. Hi anh em Chả là mình có tìm được mã DCL của Lee Mac cho phép tạo 2 list box có danh sách liên kết với nhau. Mình muốn nhờ anh em tạo liên kết giữa các "Model" ở list box thứ 2 với các block đường dẫn có tên tương tự để khi mình tích chọn 1 model và ok thì sẽ chèn đc block tương ứng. Thanks anh em https://drive.google.com/open?id=0B_ToehCkY5kzR1FFZjEwVGJyS1U
×